<?php

namespace App\Console;

use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * Define the application's command schedule.
     */
    protected function schedule(Schedule $schedule): void {
        //  $schedule->command('inspire')->hourly();
        $schedule->command("generate:invoices")
            ->monthlyOn(28, "12:09")
            ->timezone("Asia/Kolkata");

        $schedule->command("visitors:delete-old")
            ->hourly();

        //  for testing
//        $schedule->command("test:mail")
//            ->everyMinute();
    }

    /**
     * Register the commands for the application.
     */
    protected function commands(): void {
        $this->load(__DIR__.'/Commands');

        require base_path('routes/console.php');
    }
}
